MONGOC_CLIENT_ENCRYPTION_ENCRYPT_OPTS_SET_CONTENTION_FACTOR(3)

NAME
mongoc_client_encryption_encrypt_opts_set_contention_factor - mongoc_client_encryption_encrypt_opts_set_contention_factor()

SYNOPSIS

void
mongoc_client_encryption_encrypt_opts_set_contention_factor (
    mongoc_client_encryption_encrypt_opts_t *opts, int64_t contention_factor);

New in version 1.22.0.

Sets a contention factor for explicit encryption. Only applies when the algorithm set by mongoc_client_encryption_encrypt_opts_set_algorithm() is "Indexed" or "RangePreview". It is an error to set the contention factor when algorithm is not "Indexed" or "RangePreview". Note that the Range algorithm is experimental only and not intended for public use. It is subject to breaking changes. If contention factor is not supplied, it defaults to a value of 0.

PARAMETERS

•   opts: A mongoc_client_encryption_encrypt_opts_t

•   contention_factor: A non-negative contention factor.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc